Valstorm LogoDev

automation Endpoints

All endpoints for the automation API group. Great for feeding into an LLM context.

POST

/v1/automation/function

Run Function Automation Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/FunctionRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/automation/function/validate

Validate Function Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/FunctionValidateRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/automation

Run Automation Route

Runs a new automation from a raw payload (JSON, form-data, etc.).


Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/automation/{automation_id}

Run Automation By Id Route

Runs a saved automation by its ID, using the incoming request body as inputs.


Parameters
automation_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/automation/resume/{run_id}

Resume Automation Route

Automatically resumes a workflow from where it last stopped.


Parameters
run_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/automation/run-partial/{run_id}

Run Partial Automation Route

Parameters
run_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner